| LibDriver MPU9250 1.0.0 MPU9250 full function driver

Data Fields
mpu9250_handle_s Struct Reference
mpu9250 driver function » mpu9250 basic driver function

mpu9250 handle structure definition More...

`#include <driver_mpu9250.h>`

## Data Fields
uint8_t | iic_addr
uint8_t(* | iic_init )(void)
uint8_t(* | iic_deinit )(void)
uint8_t(* | iic_read )(uint8_t addr, uint8_t reg, uint8_t *buf, uint16_t len)
uint8_t(* | iic_write )(uint8_t addr, uint8_t reg, uint8_t *buf, uint16_t len)
uint8_t(* | spi_init )(void)
uint8_t(* | spi_deinit )(void)
uint8_t(* | spi_read )(uint8_t reg, uint8_t *buf, uint16_t len)
uint8_t(* | spi_write )(uint8_t reg, uint8_t *buf, uint16_t len)
void(* | delay_ms )(uint32_t ms)
void(* | debug_print )(const char *const fmt,...)
void(* | receive_callback )(uint8_t type)
void(* | dmp_tap_callback )(uint8_t count, uint8_t direction)
void(* | dmp_orient_callback )(uint8_t orientation)
uint8_t | inited
uint8_t | mag_inited
uint8_t | mag_asa [3]
uint8_t | iic_spi
uint8_t | dmp_inited
uint16_t | orient
uint16_t | mask
uint8_t | buf [1024]

## Detailed Description

mpu9250 handle structure definition

Definition at line 501 of file driver_mpu9250.h.

## Field Documentation

## ◆ buf

uint8_t buf[1024]

inner buffer

Definition at line 524 of file driver_mpu9250.h.

## ◆ debug_print

void(* debug_print) (const char *const fmt,...)

point to a debug_print function address

Definition at line 513 of file driver_mpu9250.h.

## ◆ delay_ms

void(* delay_ms) (uint32_t ms)

point to a delay_ms function address

Definition at line 512 of file driver_mpu9250.h.

## ◆ dmp_inited

uint8_t dmp_inited

dmp inited flag

Definition at line 521 of file driver_mpu9250.h.

## ◆ dmp_orient_callback

void(* dmp_orient_callback) (uint8_t orientation)

point to a dmp_orient_callback function address

Definition at line 516 of file driver_mpu9250.h.

## ◆ dmp_tap_callback

void(* dmp_tap_callback) (uint8_t count, uint8_t direction)

point to a dmp_tap_callback function address

Definition at line 515 of file driver_mpu9250.h.

## ◆ iic_addr

uint8_t iic_addr

iic device address

Definition at line 503 of file driver_mpu9250.h.

## ◆ iic_deinit

uint8_t(* iic_deinit) (void)

point to an iic_deinit function address

Definition at line 505 of file driver_mpu9250.h.

## ◆ iic_init

uint8_t(* iic_init) (void)

point to an iic_init function address

Definition at line 504 of file driver_mpu9250.h.

## ◆ iic_read

uint8_t(* iic_read) (uint8_t addr, uint8_t reg, uint8_t *buf, uint16_t len)

point to an iic_read function address

Definition at line 506 of file driver_mpu9250.h.

## ◆ iic_spi

uint8_t iic_spi

iic spi interface type

Definition at line 520 of file driver_mpu9250.h.

## ◆ iic_write

uint8_t(* iic_write) (uint8_t addr, uint8_t reg, uint8_t *buf, uint16_t len)

point to an iic_write function address

Definition at line 507 of file driver_mpu9250.h.

## ◆ inited

uint8_t inited

inited flag

Definition at line 517 of file driver_mpu9250.h.

## ◆ mag_asa

uint8_t mag_asa[3]

magnetometer asa

Definition at line 519 of file driver_mpu9250.h.

## ◆ mag_inited

uint8_t mag_inited

magnetometer inited flag

Definition at line 518 of file driver_mpu9250.h.

## ◆ mask

uint16_t mask

mask

Definition at line 523 of file driver_mpu9250.h.

## ◆ orient

uint16_t orient

orient

Definition at line 522 of file driver_mpu9250.h.

## ◆ receive_callback

void(* receive_callback) (uint8_t type)

point to a receive_callback function address

Definition at line 514 of file driver_mpu9250.h.

## ◆ spi_deinit

uint8_t(* spi_deinit) (void)

point to a spi_deinit function address

Definition at line 509 of file driver_mpu9250.h.

## ◆ spi_init

uint8_t(* spi_init) (void)

point to a spi_init function address

Definition at line 508 of file driver_mpu9250.h.

## ◆ spi_read

uint8_t(* spi_read) (uint8_t reg, uint8_t *buf, uint16_t len)

point to a spi_read function address

Definition at line 510 of file driver_mpu9250.h.

## ◆ spi_write

uint8_t(* spi_write) (uint8_t reg, uint8_t *buf, uint16_t len)

point to a spi_write function address

Definition at line 511 of file driver_mpu9250.h.

The documentation for this struct was generated from the following file:

- src/driver_mpu9250.h